/*=================== FILE ABSTRACT ==========================================
 *
 * Synopsis::         Source for GeneClust stream monitor property keys
 *
 * File Name::        %M%
 * Version::          %I%
 * Type::             source
 * Date Completed::   %G%
 *
 * Environment::
 *     Language::     Java
 *     Computer::     Compaq/Alpha
 *     OS::           DigitalUNIX
 *     OSVersion::    4.0
 *
 * Module Information::
 *     Owner::        MDACC
 *     Department::   Biostatistics
 *     Researcher::   Kim-Anh Do
 *     Application::  GeneClust
 *
 *============================================================================*/

/*
 * @(#)GCStreamMonitorKeys.java    1.0 2002/01/06
 *
 * Copyright (c) 2002 M.D. Anderson Cancer Center
 * 1515 Holcombe, Houston, TX, 77030, U.S.A.
 * All rights reserved.
 */

package org.mdanderson.biostat.geneclust;


/**
 * GCStreamMonitorKeys - Interface for property keys.
 *
 * @version 1.0 2002/01/06
 * @author <a href="mailto:roebuck@mdanderson.org">P. Roebuck</a>
 */
public interface GCStreamMonitorKeys
{
    public static final String MONITOR_APP_PROCESSING_COMPLETE =
                           "PK_MONITOR_APP_PROCESSING_COMPLETE";
    public static final String MONITOR_APP_PROCESSING_INPUT =
                           "PK_MONITOR_APP_PROCESSING_INPUT";
    public static final String MONITOR_APP_TERMINATED =
                           "PK_MONITOR_APP_TERMINATED";
    public static final String MONITOR_CREATE_MATRIX =
                           "PK_MONITOR_CREATE_MATRIX";
    public static final String MONITOR_DISPLAY_RESULTS =
                           "PK_MONITOR_DISPLAY_RESULTS";
    public static final String MONITOR_ERR_NO_CLUSTERS_LEFT =
                           "PK_MONITOR_ERR_NO_CLUSTERS_LEFT";
    public static final String MONITOR_ERR_FATAL =
                           "PK_MONITOR_ERR_FATAL";
    public static final String MONITOR_ERR_RECOVERABLE =
                           "PK_MONITOR_ERR_RECOVERABLE";
    public static final String MONITOR_ESTIMATE_OPT_CLUSTER_SIZE =
                           "PK_MONITOR_ESTIMATE_OPT_CLUSTER_SIZE";
    public static final String MONITOR_EXTRACT_CLUSTER =
                           "PK_MONITOR_EXTRACT_CLUSTER";
    public static final String MONITOR_ORTHOGONALIZE_MATRIX =
                           "PK_MONITOR_ORTHOGONALIZE_MATRIX";
    public static final String MONITOR_HIERARCHICAL_CLUSTERING =
                           "PK_MONITOR_HIERARCHICAL_CLUSTERING";
    public static final String MONITOR_RANDOMIZE_MATRIX =
                           "PK_MONITOR_RANDOMIZE_MATRIX";
    public static final String MONITOR_READ_MATRIX =
                           "PK_MONITOR_READ_MATRIX";
    public static final String MONITOR_SHAVE_INIT_NESTED_SEQUENCE =
                           "PK_MONITOR_SHAVE_INIT_NESTED_SEQUENCE";
    public static final String MONITOR_SHAVE_RAND_NESTED_SEQUENCE =
                           "PK_MONITOR_SHAVE_RAND_NESTED_SEQUENCE";
    public static final String ERR_TRANSLATE_KEY =
                           "PK_ERR_TRANSLATE_KEY";
}

