/*=================== FILE ABSTRACT ==========================================
 *
 * Synopsis::         Source for abstract ABOUT panel class
 *
 * File Name::        %M%
 * Version::          %I%
 * Type::             source
 * Date Completed::   %G%
 *
 * Environment::
 *     Language::     Java
 *     Computer::     Compaq/Alpha
 *     OS::           DigitalUNIX
 *     OSVersion::    4.0
 *
 * Module Information::
 *     Owner::        MDACC
 *     Department::   Biostatistics
 *     Researcher::   N/A
 *     Application::  <generic>
 *
 *============================================================================*/

/*
 * @(#)AbstractAboutPanel.java    1.0 2001/03/22
 *
 * Copyright (c) 2001 M.D. Anderson Cancer Center
 * 1515 Holcombe, Houston, TX, 77030, U.S.A.
 * All rights reserved.
 */

package org.mdanderson.biostat.util;

import javax.swing.JPanel;


/**
 * AbstractAboutPanel - Creates an abstract ABOUT panel
 *
 * @version 1.0 2001/06/07
 * @author <a href="mailto:roebuck@mdanderson.org">P. Roebuck</a>
 */
abstract public class AbstractAboutPanel extends JPanel
    implements AboutPanel
{
    // =========================================================================
    // CONSTRUCTORS
    // =========================================================================

    /**
     * Class constructor
     */
    public AbstractAboutPanel()
    {
    }

    // =========================================================================
    // PROTECTED INTERFACE
    // =========================================================================

    /**
     * Adds items to about panel.
     */
    abstract protected void addAboutPanelItems();
}

