/*=================== FILE ABSTRACT ==========================================
 *
 * Synopsis::         Source for DefaultStreamMonitor property keys
 *
 * File Name::        %M%
 * Version::          %I%
 * Type::             source
 * Date Completed::   %G%
 *
 * Environment::
 *     Language::     Java
 *     Computer::     Compaq/Alpha
 *     OS::           DigitalUNIX
 *     OSVersion::    4.0
 *
 * Module Information::
 *     Owner::        MDACC
 *     Department::   Biostatistics
 *     Researcher::   N/A
 *     Application::  <generic>
 *
 *============================================================================*/

/*
 * @(#)DefaultStreamMonitorKeys.java    1.0 2002/03/11
 *
 * Copyright (c) 2002 M.D. Anderson Cancer Center
 * 1515 Holcombe, Houston, TX, 77030, U.S.A.
 * All rights reserved.
 */

package org.mdanderson.biostat.util;


/**
 * DefaultStreamMonitorKeys - Interface for property keys.
 *
 * @version 1.0 2002/03/11
 * @author <a href="mailto:roebuck@mdanderson.org">P. Roebuck</a>
 */
public interface DefaultStreamMonitorKeys
{
    public static final String STREAMMONITOR_STARTED =
                           "PK_STREAMMONITOR_STARTED";
    public static final String STREAMMONITOR_AWAITING_INPUT =
                           "PK_STREAMMONITOR_AWAITING_INPUT";
    public static final String STREAMMONITOR_END_OF_INPUT =
                           "PK_STREAMMONITOR_END_OF_INPUT";
    public static final String STREAMMONITOR_DONE =
                           "PK_STREAMMONITOR_DONE";
    public static final String STREAMMONITOR_TAG =
                           "PK_STREAMMONITOR_TAG";
}

