/*=================== FILE ABSTRACT ==========================================
 *
 * Synopsis::         Source for status event listener interface
 *
 * File Name::        %M%
 * Version::          %I%
 * Type::             source
 * Date Completed::   %G%
 *
 * Environment::
 *     Language::     Java
 *     Computer::     Compaq/Alpha
 *     OS::           DigitalUNIX
 *     OSVersion::    4.0
 *
 * Module Information::
 *     Owner::        MDACC
 *     Department::   Biostatistics
 *     Researcher::   N/A
 *     Application::  <generic>
 *
 *============================================================================*/

/*
 * @(#)StatusListener.java    1.0 2000/12/27
 *
 * Copyright (c) 2000 M.D. Anderson Cancer Center
 * 1515 Holcombe, Houston, TX, 77030, U.S.A.
 * All rights reserved.
 */

package org.mdanderson.biostat.util;


/**
 * StatusListener - Notifies observers when state of data changes.
 *
 * @version 1.0 2000/12/27
 * @author <a href="mailto:roebuck@mdanderson.org">P. Roebuck</a>
 */
public interface StatusListener
{
    /**
     * Notifies observers when the state of the data changes
     *
     * @param event  status event
     */
    public void statusChanged(StatusEvent event);
}

