/*=================== FILE ABSTRACT ==========================================
 *
 * Synopsis::         Source for status event producer interface
 *
 * File Name::        %M%
 * Version::          %I%
 * Type::             source
 * Date Completed::   %G%
 *
 * Environment::
 *     Language::     Java
 *     Computer::     Compaq/Alpha
 *     OS::           DigitalUNIX
 *     OSVersion::    4.0
 *
 * Module Information::
 *     Owner::        MDACC
 *     Department::   Biostatistics
 *     Researcher::   N/A
 *     Application::  <generic>
 *
 *============================================================================*/

/*
 * @(#)StatusSource.java    1.0 2001/09/01
 *
 * Copyright (c) 2001 M.D. Anderson Cancer Center
 * 1515 Holcombe, Houston, TX, 77030, U.S.A.
 * All rights reserved.
 */

package org.mdanderson.biostat.util;

import org.mdanderson.biostat.util.StatusListener;


/**
 * StatusSource - Documents status event producer.
 *
 * @version 1.0 2001/09/01
 * @author <a href="mailto:roebuck@mdanderson.org">P. Roebuck</a>
 */
public interface StatusSource
{
    /**
     * Adds a status listener for notification of state of data changes
     *
     * @param listener  status listener
     */
    public void addStatusListener(StatusListener listener);

    /**
     * Removes a status listener
     *
     * @param listener  status listener
     */
    public void removeStatusListener(StatusListener listener);
}

