#################### FILE ABSTRACT ############################################
##
## Synopsis::         Source for initializing for running standalone mode
##
## File Name::        %M%
## Version::          %I%
## Type::             source
## Date Completed::   %G%
##
## Environment::
##     Language::     Splus
##     Computer::     Compaq/Alpha
##     OS::           DigitalUNIX
##     OSVersion::    4.0
##
## Module Information::
##     Owner::        MDACC
##     Department::   Biostatistics
##     Researcher::   Kim-Anh Do
##     Application::  geneclust
##
###############################################################################


##*****************************************************************************
## Issue the following commands only once per session
##*****************************************************************************

    ## Get GeneClust home directory
    ## ALWAYS set the value of GCHOME!!!!
    GChome<-shell(command="echo $GCHOME",output.to.S=T);
    if (GChome == "") {
        # Defaults to <$HOME/geneclust>
        home<-shell(command="echo $HOME",output.to.S=T);
        GChome<-paste(home,"geneclust",sep="/");
    }

    ## Get GeneClust output directory
    GCoutput<-shell(command="echo $GCOUTPUT",output.to.S=T);
    if (GCoutput == "") {
        GCoutput<-paste(GChome,"output",sep="/");
    }

    ## Get GeneClust data directory
    GCdata<-shell(command="echo $GCDATA",output.to.S=T);
    if (GCdata == "") {
        GCdata<-paste(GChome,"data",sep="/");
    }

    ## Get GeneClust S-plus directory
    GCsplus<-paste(GChome,"splus",sep="/");

    source(paste(GCsplus,"ExternDecl.s",sep="/"));
    source(paste(GCsplus,"Common.s",sep="/"));
    options(error=ErrorHandler.func);
    source(paste(GCsplus,"Graphics.s",sep="/"));
    InitGraphics.func();

    ## Load shared object containing C routines that perform geneshaving
    dyn.open(paste(GChome,"S.so",sep="/"));

