#################### FILE ABSTRACT ############################################
##
## Synopsis::         Source for running standalone mode example
##
## File Name::        %M%
## Version::          %I%
## Type::             source
## Date Completed::   %G%
##
## Environment::
##     Language::     Splus
##     Computer::     Compaq/Alpha
##     OS::           DigitalUNIX
##     OSVersion::    4.0
##
## Module Information::
##     Owner::        MDACC
##     Department::   Biostatistics
##     Researcher::   Kim-Anh Do
##     Application::  geneclust
##
###############################################################################


##*****************************************************************************
## Modify the following variables according to what is desired
##*****************************************************************************

source("InitStandalone.s");


##*****************************************************************************
## Modify the following variables according to what is desired
##*****************************************************************************

source(paste(GCsplus,"GCRawData.s",sep="/"));
graphGenes<-FALSE      ## hierarchical clustering - display genes graph
graphSamples<-FALSE    ## hierarchical clustering - display samples graph
percentSupervision<-0  ## supervised shaving - supervised percentage (0..100)
classfile<-NULL        ## supervised shaving - classification filename
nclst<-2               ## Number of clusters to extract
percentToShave<-10     ## Percent to shave
nperm<-5               ## Number of permutations
gapTolerance<-5        ## Gap tolerance
writeMatrix<-FALSE     ## Writes matrix to disk (useful in DEMO mode)
fname<-paste(GCdata,"aml_all.tsv",sep="/");  ## Raw data filename

##*****************************************************************************
## Run the standalone simulation.
##*****************************************************************************

GCRawData.func(nclst,
               percentToShave,
               nperm,
               gapTolerance,
               fname,
               percentSupervision,
               classfile);

