/*=================== FILE ABSTRACT ==========================================
 *
 * Synopsis::         Public header for linked list routines
 *
 * File Name::        %M%
 * Version::          %I%
 * Type::             include
 * Date Completed::   %G%
 *
 * Environment::
 *     Language::     ANSI C
 *     Computer::     Compaq/Alpha
 *     OS::           DigitalUNIX
 *     OSVersion::    4.0
 *
 * Module Information::
 *     Owner::        MDACC
 *     Department::   Biostatistics
 *     Researcher::   Kim-Anh Do
 *     Application::  geneclust
 *
 *============================================================================*/
/* %W% %G% %U% */

#ifndef LINKEDLIST_H
#define LINKEDLIST_H

#include "cplusplus.h"


/*
 * Forward Reference
 */
struct Node;


/*
 * Typedefs
 */
typedef int ELEMENT;
typedef struct Node Node_t;


/*
 * Structs
 */
struct Node
{
    ELEMENT element;
    unsigned numPositions;
    unsigned *positions;
    struct Node *next;
};


BEGIN_EXTERN_C
/* 
 * Function Prototypes
 */
extern void ListAppend (Node_t **list, ELEMENT element, unsigned position);
extern void ListDestroy (Node_t **list);
extern void ListInit (Node_t **list);
extern void ListInsert (Node_t **list, Node_t *q, ELEMENT element, unsigned position);
extern size_t ListLength (const Node_t *list);
extern void ListPrepend (Node_t **list, ELEMENT element, unsigned position);
extern void ListPrint (const Node_t *list);
END_EXTERN_C

#endif /* LINKEDLIST_H */

